Compute an SLO instance summary at a point in time

Base URL
https://{kibana_url}
Auth

Compute the summary of an SLO at a given point in time. When instanceId is provided, returns that instance. When instanceId is omitted or set to '*', returns all matching instances (up to 1000). The endpoint is synchronous and returns results directly. You must have the read privileges for the SLOs feature in the Observability section of the Kibana feature privileges.

Path parameters

spaceId string required

An identifier for the space. If /s/ and the identifier are omitted from the path, the default space is used.

Example: default
sloId string required

An identifier for the slo.

Example: 9c235211-6834-11ea-a78c-6feb38a34414

Query parameters

at string · format: date-time required

The point in time at which to compute the SLO instance summary (ISO 8601 date-time)

Example: 2025-01-12T10:00:00.000Z
instanceId string

The SLO instance ID. Omit this parameter or set it to '*' to return all instances for the SLO (up to 1000). Set a specific value (for example host.name:web-01) to return that instance only.

Example: *

Header parameters

kbn-xsrf string required

Cross-site request forgery protection

Responses

Successful response

application/json
at string · format: date-time required

The point in time at which the summaries were computed

results object[] required

The per-instance computation results

id string required

The SLO definition id

instanceId string required

The SLO instance id. '*' represents the default (ungrouped) instance.

Base URL
https://{kibana_url}